curl --request PUT \
--url https://api.dittowords.com/v2/textItems \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"developerId": "greeting",
"text": "Hello!"
}
]
}
'{
"success": true
}{
"message": "Cannot remove plural forms that do not exist on text item \"item-count\": many"
}Text Items
Update text items
deprecated
Updates a set of text items’ base or variant text, tags, status, assignee, and plural forms.
Deprecated — use PATCH /textItems instead.
PUT
/
textItems
curl --request PUT \
--url https://api.dittowords.com/v2/textItems \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"developerId": "greeting",
"text": "Hello!"
}
]
}
'{
"success": true
}{
"message": "Cannot remove plural forms that do not exist on text item \"item-count\": many"
}Body
application/json
When set to 'html', all text values in this request (including plural text) are parsed as HTML and saved as rich text. Supported formatting: <strong>/<b>, <em>/<i>, <u>, <s>, and <br> for line breaks. <sup> and <sub> are only supported for workspaces with superscript and subscript enabled. Unsupported markup (for example links, lists, or headings) is dropped and its text content kept.
Note: Fully-bolded strings will have that bold styling stripped, as Figma does not support bolding an entire text layer this way.
When omitted, text is saved as plaintext and any markup is stored literally.
Available options:
html